MarinerWrtStruct Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
MarinerWrtStruct Struct Reference

Internal: a struct used to read some field. More...

`#include <MarinerWrtParser.hxx>`

## Public Member Functions
| MarinerWrtStruct ()
| constructor
int | numValues () const
| returns the number of values
bool | isBasic () const
| returns true if this corresponds to a simple container
long | value (int i) const
| returns the ith value (or 0 if it does not exists )

## Public Attributes
long | m_filePos
| the file position where the field description begin
MWAWEntry | m_pos
| the file data position (for type=0 data )
int | m_type
| the data type
std::vector< long > | m_data
| the data block

## Friends
std::ostream & | operator<< (std::ostream &o, MarinerWrtStruct const &dt)
| operator<<

## Detailed Description

Internal: a struct used to read some field.

## Constructor & Destructor Documentation

## ◆ MarinerWrtStruct()

MarinerWrtStruct::MarinerWrtStruct | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ isBasic()

bool MarinerWrtStruct::isBasic | ( |  | ) | const
| inline

returns true if this corresponds to a simple container

Referenced by MarinerWrtParser::readDocInfo(), MarinerWrtText::readFonts(), MarinerWrtGraph::readPostscript(), MarinerWrtText::readRulers(), MarinerWrtText::readTextStruct(), MarinerWrtGraph::readToken(), MarinerWrtParser::readZone13(), MarinerWrtParser::readZoneb(), MarinerWrtParser::readZonec(), MarinerWrtParser::readZoneDim(), and MarinerWrtParser::readZoneHeader().

## ◆ numValues()

int MarinerWrtStruct::numValues | ( |  | ) | const
| inline

returns the number of values

Referenced by MarinerWrtText::readFontNames().

## ◆ value()

long MarinerWrtStruct::value | ( | int | i | ) | const

returns the ith value (or 0 if it does not exists )

Referenced by MarinerWrtParser::readDocInfo(), MarinerWrtText::readFontNames(), MarinerWrtText::readFonts(), MarinerWrtGraph::readPostscript(), MarinerWrtText::readRulers(), MarinerWrtText::readTextStruct(), MarinerWrtGraph::readToken(), MarinerWrtParser::readZone13(), MarinerWrtParser::readZoneb(), MarinerWrtParser::readZonec(), MarinerWrtParser::readZoneDim(), and MarinerWrtParser::readZoneHeader().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | MarinerWrtStruct const & | dt )
| friend

operator<<

## Member Data Documentation

## ◆ m_data

std::vector<long> MarinerWrtStruct::m_data

the data block

Referenced by MarinerWrtParser::decodeZone(), isBasic(), numValues(), MarinerWrtParser::readSeparator(), and value().

## ◆ m_filePos

long MarinerWrtStruct::m_filePos

the file position where the field description begin

Referenced by MarinerWrtParser::decodeZone(), and MarinerWrtParser::readZone().

## ◆ m_pos

MWAWEntry MarinerWrtStruct::m_pos

the file data position (for type=0 data )

Referenced by MarinerWrtParser::decodeZone(), MarinerWrtText::readFontNames(), MarinerWrtGraph::readPostscript(), MarinerWrtText::readRulers(), MarinerWrtText::readStyleNames(), MarinerWrtGraph::readToken(), MarinerWrtGraph::readTokenBlock0(), MarinerWrtText::readZone(), and MarinerWrtParser::readZone13().

## ◆ m_type

int MarinerWrtStruct::m_type

the data type

Referenced by MarinerWrtParser::decodeZone(), isBasic(), MarinerWrtText::readFontNames(), MarinerWrtGraph::readPostscript(), MarinerWrtText::readRulers(), MarinerWrtText::readStyleNames(), MarinerWrtGraph::readToken(), MarinerWrtGraph::readTokenBlock0(), MarinerWrtText::readZone(), and MarinerWrtParser::readZone13().

The documentation for this struct was generated from the following files:

- MarinerWrtParser.hxx
- MarinerWrtParser.cxx